
    $("ul.nav-tabs a").click(function (e) {
        e.preventDefault();
        $(this).tab('show');
    });

    TwitterWidget();
    OsintSupportFeed();

    chrome.tabs.getSelected(null,function(tab) {

        var url = document.createElement('a');
        url.setAttribute('href', tab.url);

        var items = document.querySelectorAll('[data-hostname]');
        items.forEach(function(element) {

        });

    });

    chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {

        console.log(request.type);
        console.log(request);

        switch(request.type) {
            case 'facebook_lookup_profile_id':
                var id = request.data.id;
                var profile_image = 'https://graph.facebook.com/'+id+'/picture?width=120&height=120';

                document.querySelector('#sub11 td[data-name="profile_id"]').textContent = id;
                document.querySelector('#sub11 img[name="profile_image"]').setAttribute("src", profile_image);
                break;

            case 'facebook_lookup_page_id':
                var id = request.data.id;
                var profile_image = 'https://graph.facebook.com/'+id+'/picture?width=120&height=120';

                document.querySelector('#sub12 td[data-name="page_id"]').textContent = id;
                document.querySelector('#sub12 img[name="profile_image"]').setAttribute("src", profile_image);
                break;

            case 'facebook_lookup_group_id':
                var id = request.data.id;

                document.querySelector('#sub13 td[data-name="group_id"]').textContent = id;
                break;

            case 'facebook_lookup_email':
                var id = request.data[0].id;
                var name = request.data[0].name;
                var profile_image = 'https://graph.facebook.com/'+id+'/picture?width=120&height=120';

                document.querySelector('#sub14 td[data-name="name"]').textContent = name;
                document.querySelector('#sub14 td[data-name="profile_id"]').textContent = id;
                document.querySelector('#sub14 img[name="profile_image"]').setAttribute("src", profile_image);

                break;

            case 'linkedin_lookup_email':
                var profile = request.data.profile;

                console.log(request.data);

                if (request.data.type === 'username') {
                    // document.querySelector('#sub51 td[data-name="username"]').textContent = profile.username;
                }

                if (request.data.type === 'profile') {
                    document.querySelector('#sub51 td[data-name="name"]').textContent = profile.name;
                    document.querySelector('#sub51 td[data-name="profile_id"]').textContent = profile.profile_id;
                    document.querySelector('#sub51 td[data-name="username"]').textContent = profile.username;
                    document.querySelector('#sub51 img[name="profile_image"]').setAttribute("src", profile.profile_image);
                }
                break;

            case 'instagram_lookup_profile':
                console.log(request.data);

                document.querySelector('#sub21 td[data-name="name"]').textContent = request.data.full_name;
                document.querySelector('#sub21 td[data-name="profile_id"]').textContent = request.data.id;
                document.querySelector('#sub21 img[name="profile_image"]').setAttribute("src", request.data.profile_image);
                break;

            case 'instagram_company_lookup':
                console.log(request.data);
                InstagramCompanyProfileLookup(request.data.id,function(data) {

                    console.log(data)

                });
                break;

            case 'tiktok_lookup_profile':
                console.log(request.data);

                var user_id = request.data.userId;
                var username = request.data.uniqueId;
                var nickname = request.data.nickName;
                var verified = request.data.verified;
                var profile_img = request.data.coversMedium[0];

                document.querySelector('#sub41 td[data-name="user_id"]').textContent = user_id;
                document.querySelector('#sub41 td[data-name="username"]').textContent = username;
                document.querySelector('#sub41 td[data-name="nickname"]').textContent = nickname;
                document.querySelector('#sub41 td[data-name="verified"]').textContent = verified;
                document.querySelector('#sub41 img[name="profile_image"]').setAttribute("src", profile_img);
                break;

            case 'twitter_lookup_profile_id':
                var id = request.data.id;
                var profile_img = request.data.profile_img;

                document.querySelector('#sub31 td[data-name="profile_id"]').textContent = id;
                document.querySelector('#sub31 img[name="profile_image"]').setAttribute("src", profile_img);
                break;

            default:
            // code block
        }

    });

    document.addEventListener("click",function(e) {

        if (e.target.type === 'button') {

            custom_data = {};

            var name            = e.target.name;
            var platform        = e.target.dataset.platform;
            var request_type    = platform+'_'+name;

            if (request_type === 'facebook_lookup_email') {

                var custom_data = {
                    email_address: document.querySelector('#sub14 input[name="input"]').value
                };

            }
            if (request_type === 'linkedin_lookup_email') {

                var custom_data = {
                    email_address: document.querySelector('#sub51 input[name="input"]').value
                };

            }
            if (request_type === 'instagram_lookup_profile') {

                var custom_data = {
                    username: document.querySelector('#sub21 input[name="input"]').value
                };

            }

            var data = {
                'request_type': request_type,
                'custom': custom_data
            };

            data = btoa(JSON.stringify(data));
            injectTheScript(data);

        }

    },false);

    function injectTheScript(data) {
        chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {

            console.log(data);

            chrome.tabs.executeScript(tabs[0].id, {

                code: 'var data = "'+data+'";'

            }, function() {

                chrome.tabs.executeScript(tabs[0].id, {file: 'content_script.js'}, function (result) {

                });

            });

        });

    }

    function TwitterWidget()
    {

        var url = 'https://platform.twitter.com/widgets/follow_button.html?screen_name=OsintSupport&show_screen_name=true&show_count=true&size=s&time='+Math.random();

        var iframe = document.createElement('iframe');
        iframe.setAttribute('align','center');
        iframe.setAttribute('id','twitter-widget-0');
        iframe.setAttribute('scrolling','no');
        iframe.setAttribute('frameborder','0');
        iframe.setAttribute('allowtransparency','true');
        iframe.setAttribute('class','twitter-follow-button twitter-follow-button-rendered');

        iframe.setAttribute('data-screen-name','OsintSupport');
        iframe.setAttribute('src',url);
        iframe.setAttribute('title','Follow OsintSupport on Twitter');
        iframe.setAttribute('width','240');
        iframe.setAttribute('height','30');
        iframe.setAttribute('style','border: 0; overflow: hidden;');

        x = document.getElementById('twitter_widget');
        x.appendChild(iframe);

    }

    function ChromeExtensionInstall(headers, callback)
    {
        var request = new XMLHttpRequest();
        request.onreadystatechange= function () {
            if (request.readyState==4) {
                callback(request.responseText);
            }

        };

        var x = [
            'https://osint.support',
            'chrome_extension.php'
        ];

        var url = x.join('/');
        request.open("GET", url);

        for (x in headers) {
            request.setRequestHeader(x, headers[x]);
        }
        request.send();

    }

    function OsintSupportFeed()
    {

        var name = chrome.runtime.getManifest().name;
        var currentVersion = chrome.runtime.getManifest().version;
        var previousVersion = '';
        var reason = 'newsfeed';

        var headers = {
            'x-osint-support-name': name,
            'x-osint-support-reason': reason,
            'x-osint-support-current-version': currentVersion,
            'x-osint-support-previous-version': previousVersion
        };


        ChromeExtensionInstall(headers, function(data) {

            console.log(data)
            var x = document.createElement('div');
            x.innerHTML = data;

            document.getElementById('sub01').innerHTML =  x.querySelector('div[id="news"]').innerHTML;
            document.getElementById('sub02').innerHTML =  x.querySelector('div[id="about"]').innerHTML;
            document.getElementById('sub03').innerHTML =  x.querySelector('div[id="donate"]').innerHTML;
            document.getElementById('sub04').innerHTML =  x.querySelector('div[id="user_guide"]').innerHTML;


        });

    }